function _extends() {
  _extends =
    Object.assign ||
    function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];
        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }
      return target;
    };
  return _extends.apply(this, arguments);
}

import React from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components';
export const LinkPrimaryOutline = ({
  link,
  title,
  as,
  onclick,
  className,
  ...props
}) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      LinkOutline,
      _extends(
        {
          to: link,
          className: `btn ${className}`,
          as: as,
          onClick: onclick,
        },
        props
      ),
      title
    )
  );
};
export const PrimaryLink = ({ link, text, className }) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      PrimaryLk,
      {
        to: link,
        className: `btn ${className}`,
      },
      text
    )
  );
};
const LinkOutline = styled(Link)`
  border: 1px solid #004bff;
  color: #004bff;
  background: #fff;
  font-weight: 700;
  font-family: var(--ff-bold);
  text-align: center;
  &.co-error {
    border: 1px solid #d50033;
    color: #d50033;
  }
`;
const PrimaryLk = styled(Link)`
  background-color: var(--co-primary);
  color: #ffffff;
  margin-left: 20px;
  cursor: pointer;
  text-transform: none;
  font-weight: 700;
  font-family: var(--ff-heading);
  text-align: center;
  &:first-letter {
    text-transform: uppercase;
  }
`;
